#____________________________________________________________________________________
#
#    contentinfo (see README.txt for more information)
#    Copyright (C) 2002 Christoph Becker-Freyseng
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
#    webmaster@beyond-thoughts.com
#    http://www.beyond-thoughts.com
#    http://www.mmc-startup.com
#____________________________________________________________________________________
#




__doc__= """Below are some classes for different content. The idea is thet different content may have different
attributes but over a wide range of content there common attributes.
Attributes and Method you have to define are double-commenten ## width
"""
__version__='0.1.0'



class BasicContent:	# The base for all content-types, this is a placeholder for the future -- at the moment a use of this module for not file-based content is not implementet
    def __init__(self):
	self.mimetype = 'text/x-unknown-content-type'
    
    def __str__(self):
	strD= ''
	strD+= 'ContentType-Class:   '+str(type(self))+' :'
	for itemR in self.__dict__.items():
	    strD+= '\n   '+str(itemR[0])+' = '+str(itemR[1])
	return strD


class FileContent(BasicContent):	# You should always at least derive your content-classes from this one. It has the minimum of necessary attributes and methods
    def __init__(self, fullsize, mimetype='text/x-unknown-content-type', extension=None):
	self.mimetype = mimetype
	self.extension= extension
	self.fullsize= fullsize


class PictureContent(BasicContent):	# For things like pictures e.g. flash and video, too
    ## width
    ## height
    pass


class CodecContent(BasicContent):	# Things that have different codecs
    ## codec
    pass














