#! /usr/bin/python


#____________________________________________________________________________________
#
#    contentinfo (see README.txt for more information)
#    Copyright (C) 2002 Christoph Becker-Freyseng
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
#    webmaster@beyond-thoughts.com
#    http://www.beyond-thoughts.com
#    http://www.mmc-startup.com
#____________________________________________________________________________________
#





__doc__=""" Use this module to exec contentinfo from commandline """

__version__='0.1.0'


import _contentinfo


def _mainFunc():
    import sys
    if len(sys.argv)<2:
        sys.stdout.write('Conteninfo analyses a file and prints Information about it.\nA file as 1. argument is required\n')
	sys.exit(1)
    sys.stdout.write('Analysing File '+str(sys.argv[1])+'\n')
    file = open(sys.argv[1], 'rb')
    data,info = _contentinfo.getContentinfo(file, hard=1, returnData=1)
    sys.stdout.write(str(sys.argv[1]) + ':\n')
    sys.stdout.write(str(info) + '\n')
    sys.stdout.write('Done\n')
#    for modR in sys.modules.items():
#        print modR
    sys.exit(0)

if __name__ == '__main__':
    _mainFunc()


